using System;
using System.Collections.Generic;
using System.Linq;

namespace Takmicenje
{
    class MainClass
    {
        static void Raspodeli(uint deca, ref ulong bananice, bool poslednja_grupa, ref bool moguce)
        {
            uint kolicina = deca * (deca + 1) / 2;
            if (kolicina <= bananice && !poslednja_grupa)
            {
                bananice -= kolicina;
            } else if (kolicina <= bananice)
            {
                bananice = 0;
            }
            else
            {
                moguce = false;
            }
        }

        public static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            List<string> resenja = new List<string>(t);

            for (int i = 0; i < t; i++)
            {
                string[] str = Console.ReadLine().Split(' ');
                uint n = uint.Parse(str[0]), k = uint.Parse(str[2]);

                if (n == k)
                {
                    resenja.Add("Tak");
                    continue;
                }

                ulong m = m = ulong.Parse(str[1]);
                bool moguce = true;
                uint[] grupe = new uint[k];

                uint ost = n % k, gr = n / k;

                for (int j = 0; j < k; j++)
                {
                    if (j != k - 1)
                        grupe[j] = gr;
                    else
                    {
                        if (ost != 0)
                            grupe[j] = ost;
                        else
                            grupe[j] = gr;
                    }

                    if (j != k - 1)
                        Raspodeli(grupe[j], ref m, false, ref moguce);
                    else
                        Raspodeli(grupe[j], ref m, true, ref moguce);
                }

                if (m == 0)
                    resenja.Add("Tak");
                else
                    resenja.Add("Nie");
            }

            foreach(string s in resenja)
            {
                Console.WriteLine(s);
            }
        }
    }
}